<?php
//exit;
date_default_timezone_set ( "America/Lima" ); 

define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

$dia = date('N');

if($dia == 7) exit;


if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


	//Debe ser un 
	//Esta tarea no debe ejecutarse el domingo
	
$sql = "SELECT 	idprestamopresencia,idPrestamo, Fecha, registrolatitud,registrolongitud
		FROM 	`cr_prestamo_presencia` 
		WHERE 	flagmigrado = 'N' 
		LIMIT 	0,20
		";
	
$result = mysql_query($sql,$con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$Fecha 				= $row['Fecha'];
		$idPrestamo 		= $row['idPrestamo'];
		$registrolatitud 	= $row['registrolatitud'];
		$registrolongitud 	= $row['registrolongitud'];
		$idprestamopresencia= $row['idprestamopresencia'];
		
		$sql = "
    		update cr_pago
    		set registrolatitud	= '".$registrolatitud."',
    			registrolongitud = '".$registrolongitud."'
    		WHERE  1=1 
    		 and  idPrestamo = '".$idPrestamo."'
    		 and  FechaPago  = '".$Fecha."'
	    	";
	   	echo $sql."<br>";
	   	$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	   	
	   	$sql = "
    		update  cr_prestamo_presencia
    		set flagmigrado = 'S'
    		WHERE  1=1 
    		 and  idprestamopresencia = '".$idprestamopresencia."'
	    	";
	   	echo $sql."<br>";
	   	$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
	}
}

?>